#include "EGL/egl.h"
#include "stdio.h"

EGLDisplay egl_display;

void main()
{
    egl_display = eglGetDisplay(EGL_DEFAULT_DISPLAY);
    eglInitialize(egl_display, NULL, NULL);
    
    const char *str = eglQueryString(egl_display, EGL_VENDOR);
    printf("%s %d Vendor:%s\n", __func__, __LINE__, str);
}

void __attribute__((destructor)) deinit(void)
{
  if (egl_display) {
    eglTerminate(egl_display);
    printf("%s %d Calling eglReleaseThread\n", __func__, __LINE__);
    eglReleaseThread();
    printf("%s %d eglReleaseThread done\n", __func__, __LINE__);
  }
}
